<!-- fromemailpermissions block -->
{if $isDefault}
<div id="relatedgroup_fieldset" class="crm-accordion-wrapper crm-custom-accordion">
  <div class="crm-accordion-header">
    {ts}From Email Address Permissions{/ts}
  </div>
  <div id="relatedgroup_body" class="crm-accordion-body" style="display: block;">
    <div class="help">
      Cannot restrict default FROM Email  address.
    </div>
  </div>
</div>
{else}
<div id="relatedgroup_fieldset" class="crm-accordion-wrapper crm-custom-accordion">
  <div class="crm-accordion-header">
    {ts}From Email Address Permissions{/ts}
  </div>
  <div id="relatedgroup_body" class="crm-accordion-body" style="display: block;">
    <div class="help">
      Add the criteria for logged in user to match, to be able to access this From Email Address
      <ul>
        <li>
          <u>Relationship Type + Contact B</u>: If this fields are selected, only the users who have an Active Relationship (of the type selected) with the Contacts B, will be able to see this address.<br />
          You will be able to add up to 5 different Relationship Types linked with a logical operator (Have in mind that operators are calculated in a serial execution Rel1 <i>AND</i> Rel2 <i>OR</i> Rel3)
        </li>
        <li><u>Roles</u>: If any CMS role is selected (multiple selection available), only the users who have assigned this role, will be able to see this address.</li>
      </ul>
      <i>Relationship Types and Roles are liked with an <b>AND</b> logical operator if both are selected</i>
    </div>
    <table>
      <tr class="crm-admin-options-form-block-relationship_type_id">
        <td colspan="2">
          <table class="form-layout-compressed" id="optionField">
            <tr id="multiple">
              <td colspan="2" class="html-adjust">
                <fieldset>
                  <legend>{ts}Relationships{/ts}</legend>
                  <span class="description">
                    {ts}Enter up to five (5) relationships in this table (click 'another choice' for each additional choice).{/ts}
                  </span>
                  {strip}
                  <table id="relationships">
                    <tr>
                      <th>&nbsp;</th>
                      <th> {ts}Relationship Type{/ts}</th>
                      <th> {ts}Contact(s){/ts}</th>
                      <th> {ts}Operator{/ts}</th>
                    </tr>

                    {section name=rowLoop start=1 loop=6}
                    {assign var=index value=$smarty.section.rowLoop.index}
                    <tr id="optionField_{$index}" class="form-item {cycle values="odd-row,even-row"}">
                      <td>
                        {if $index GT 1}
                          <a onclick="delRow({$index}); return false;" name="optionField_{$index}" href="#" class="form-link"><i class="crm-i fa-trash" title="{ts}hide field or section{/ts}" aria-hidden="true"></i></a>
                        {/if}
                      </td>
                      <td> {$form.relationship_type_id.$index.html}</td>
                      <td> {$form.contact_b_id.$index.html}</td>
                      <td> {$form.operator.$index.html}</td>
                    </tr>
                    {/section}
                  </table>
                  <div id="optionFieldLink" class="add-remove-link">
                    <a onclick="showHideRow(); return false;" name="optionFieldLink" href="#" class="form-link"><i class="crm-i fa-plus-circle" aria-hidden="true"></i> {ts}add another choice{/ts}</a>
                  </div>
                  {/strip}
                </fieldset>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td colspan="2">
          <fieldset>
            <legend>{ts}Roles{/ts}</legend>
          </fieldset>
        </td>
      </tr>
      <tr class="crm-admin-options-form-block-roles">
        <td class="label">{$form.roles.label}</td>
        <td>{$form.roles.html}</td>
      </tr>
    </table>
  </div>
</div>

{literal}
<script type="text/javascript">
  function delRow(index) {
    if (index) {
      CRM.$('#relationship_type_id_' + index).val(0);
      CRM.$('#contact_b_id_' + index).select2('val', '');
      //CRM.$('#contact_b_id').val('');
      showHideRow(index);
    }
  }

  CRM.$(function($) {
    CRM.$('#relatedgroup_fieldset').insertAfter(CRM.$('#is_default').parents('table'));

    {/literal}
    var showRows   = new Array({$showBlocks});
    var hideBlocks = new Array({$hideBlocks});
    {literal}
    var rowcounter = 0;
    if (navigator.appName == "Microsoft Internet Explorer") {
      for ( var count = 0; count < hideBlocks.length; count++ ) {
        var r = document.getElementById(hideBlocks[count]);
        r.style.display = 'none';
      }
    }
    on_load_init_blocks( showRows, hideBlocks, '' );
  });
</script>
{/literal}

{/if}
